##############################################################
#
#  vmx.conf
#  Config file for vmx on the hypervisor.
#  Uses YAML syntax. 
#  Leave a space after ":" to specify the parameter value.
#
##############################################################

--- 
#Configuration on the host side - management interface, VM images etc.
HOST:
    identifier                : vmx15   # Maximum 6 characters
    host-management-interface : enp4s0
    routing-engine-image      : "/root/vmx/images/junos-vmx-x86-64-18.2R3.4.qcow2"
    routing-engine-hdd        : "/root/vmx/images/vmxhdd.img"
    forwarding-engine-image   : "/root/vmx/images/vFPC-20190604.img"

---
#External bridge configuration
BRIDGES:
    - type  : external
      name  : br-ext                  # Max 10 characters

--- 
#vRE VM parameters
CONTROL_PLANE:
    vcpus       : 1
    memory-mb   : 1024 
    console_port: 15601

    interfaces  :
      - type      : static
        ipaddr    : 10.102.144.94 
        macaddr   : "0A:00:DD:C0:DE:0E"

--- 
#vPFE VM parameters
FORWARDING_PLANE:
    memory-mb   : 2048 
    vcpus       : 3
    console_port: 15602
    device-type : virtio 

    interfaces  :
      - type      : static
        ipaddr    : 10.102.144.98
        macaddr   : "0A:00:DD:C0:DE:10"

--- 
#Interfaces
JUNOS_DEVICES:
   - interface            : ge-0/0/0
     mac-address          : "02:15:0A:0E:FF:F0"
     description          : "ge-0/0/0 interface"
   
   - interface            : ge-0/0/1
     mac-address          : "02:15:0A:0E:FF:F1"
     description          : "ge-0/0/1 interface"

   - interface            : ge-0/0/2
     mac-address          : "02:15:0A:0E:FF:F2"
     description          : "ge-0/0/2 interface"

   - interface            : ge-0/0/3
     mac-address          : "02:15:0A:0E:FF:F3"
     description          : "ge-0/0/3 interface"

   - interface            : ge-0/0/4
     mac-address          : "02:15:0A:0E:FF:F4"
     description          : "ge-0/0/4 interface"

   - interface            : ge-0/0/5
     mac-address          : "02:15:0A:0E:FF:F5"
     description          : "ge-0/0/5 interface"

   - interface            : ge-0/0/6
     mac-address          : "02:15:0A:0E:FF:F6"
     description          : "ge-0/0/6 interface"

   - interface            : ge-0/0/7
     mac-address          : "02:15:0A:0E:FF:F7"
     description          : "ge-0/0/7 interface"

   - interface            : ge-0/0/8
     mac-address          : "02:15:0A:0E:FF:F8"
     description          : "ge-0/0/8 interface"
